import React, { PropTypes } from 'react';
import PureRenderMixin from 'react-addons-pure-render-mixin';

import formatRelativeDatetime from '../../utils/formatRelativeDatetime';


const FoundationDatetime = React.createClass({

    mixins: [PureRenderMixin],

    propTypes: {
        includeTime: PropTypes.bool,
        isUnixTimestamp: PropTypes.bool,
        locale: PropTypes.string,
        timestamp: PropTypes.number,
        reference: PropTypes.number,
    },

    getDefaultProps() {
        return {
            includeTime: false,
            isUnixTimestamp: false,
            locale: 'sv',
            reference: null,
            timestamp: 0,
        };
    },

    render() {
        const { includeTime, isUnixTimestamp, locale, reference, timestamp } = this.props;
        return (
            <span>
                { formatRelativeDatetime(timestamp, { includeTime, isUnixTimestamp, locale, reference }) }
            </span>
        );
    },

});

export default FoundationDatetime;
