import React, { PropTypes } from 'react';
import PureRenderMixin from 'react-addons-pure-render-mixin';
import purebem from 'purebem';

import reactInterpolate from '../../utils/reactInterpolate';

import './FoundationInformation.less';


const block = purebem.of('foundation-information');

const FoundationLightboxInformation = React.createClass({

    mixins: [PureRenderMixin],

    propTypes: {
        description: PropTypes.node,
        onClose: PropTypes.func,
        title: PropTypes.string,
    },

    getDefaultProps() {
        return {
            description: '',
            onClose: () => {},
            title: '',
        };
    },

    render() {
        const { description, onClose, title } = this.props;
        return (
            <div className={ block() }>
                <div className={ block('header') }>
                    <span className={ block('header-title') }>
                        { title }
                    </span>
                    <i className={ block('header-icon') } onClick={ onClose } />
                </div>
                <div className={ block('content') }>
                    <span className={ block('content-description') }>
                        { reactInterpolate(description) }
                    </span>
                </div>
            </div>
        );
    },

});

export default FoundationLightboxInformation;
