import React, { PropTypes } from 'react';
import PureRenderMixin from 'react-addons-pure-render-mixin';
import invariant from 'invariant';


export default ({
    Component,
} = {}) => {

    invariant(Component !== undefined, 'Missing RadioButtonGroup componnent');

    return React.createClass({

        displayName: `${Component.displayName}State`,

        mixins: [PureRenderMixin],

        propTypes: {
            componentRef: PropTypes.func,
            initialValue: PropTypes.string,
            onChange: PropTypes.func,
        },

        getDefaultProps() {
            return {
                componentRef: null,
                initialValue: '',
                onChange: (/* value */) => {},
            };
        },

        getInitialState() {
            const { initialValue: value } = this.props;
            return {
                value,
            };
        },

        onChange(value) {
            this.setState({ value }, () => this.props.onChange(value));
        },

        render() {
            const { componentRef, ...otherProps } = this.props;
            return (
                <Component
                    { ...otherProps }
                    { ...this.state }
                    ref={ componentRef }
                    onChange={ this.onChange } />
            );
        },

    });

};
