import ContainerWrapper from '../ContainerWrapper';
import actionName from '../../utils/actionName';
import getComponentState from '../../utils/getComponentState';

import textboxChange from './redux/textboxChange';


export const changeType = actionName('CHANGE');

export default ({
    Component,
} = {}) => {

    const mapStateToProps = (state, props) => {
        const { rawValue } = getComponentState(state, props);
        return {
            value: rawValue,
        };
    };

    const mapDispatchToProps = (dispatch, props) => {
        const { customActionMetadata: custom, path, root } = props;
        const actionTypePrefix = props.actionTypePrefix || 'TEXTBOX';

        return {
            onChange: ({ rawValue, value }) => dispatch(textboxChange({ custom, path, rawValue, root, type: changeType(actionTypePrefix), value })),
        };
    };

    return ContainerWrapper({
        Component,
        mapDispatchToProps,
        mapStateToProps,
    });

};
