import formatDatetime from './formatDatetime';


test('timestamp', () => {
    const timestamp = +new Date(2000, 0, 1);
    const date = formatDatetime(timestamp);

    expect(date).toBe('2000-01-01');
});

test('UNIX timestamp', () => {
    const timestamp = +new Date(2000, 0, 1) / 1000;
    const date = formatDatetime(timestamp, { isUnixTimestamp: true });

    expect(date).toBe('2000-01-01');
});

test('non-default format', () => {
    const timestamp = +new Date(2000, 0, 1, 12, 30, 0);
    const date = formatDatetime(timestamp, { format: 'HH:mm' });

    expect(date).toBe('12:30');
});
