import toMoment from './toMoment';


const formats = {
    'en': {
        lastDay: '[yesterday]',
        sameDay: '[today]',
        nextDay: '[tomorrow]',
        lastWeek: 'D MMMM YYYY',
        nextWeek: 'D MMMM YYYY',
        sameElse: 'D MMMM YYYY',
    },
    'sv': {
        lastDay: '[igår]',
        sameDay: '[idag]',
        nextDay: '[imorgon]',
        lastWeek: 'D MMMM YYYY',
        nextWeek: 'D MMMM YYYY',
        sameElse: 'D MMMM YYYY',
    },
};

const formatsWithTime = {
    'en': {
        lastDay: '[yesterday] HH:mm',
        sameDay: '[today] HH:mm',
        nextDay: '[tomorrow] HH:mm',
        lastWeek: 'D MMMM YYYY, HH:mm',
        nextWeek: 'D MMMM YYYY, HH:mm',
        sameElse: 'D MMMM YYYY, HH:mm',
    },
    'sv': {
        lastDay: '[igår] HH:mm',
        sameDay: '[idag] HH:mm',
        nextDay: '[imorgon] HH:mm',
        lastWeek: 'D MMMM YYYY, HH:mm',
        nextWeek: 'D MMMM YYYY, HH:mm',
        sameElse: 'D MMMM YYYY, HH:mm',
    },
};

export default (timestamp, { includeTime = false, isUnixTimestamp = false, locale = 'sv', reference = null } = {}) => {
    const fmts = (includeTime ? formatsWithTime : formats)[locale];
    return toMoment(timestamp, isUnixTimestamp)
        .locale(locale)                 // `locale` doesn't include the option of setting formats ...
        .calendar(reference, fmts);     // ... and `calendar` doesn't listen to locale for formats.
};
