import getDaysDiff from './getDaysDiff';


test('positive', () => {
    const diff = getDaysDiff(+new Date(2000, 0, 2), +new Date(2000, 0, 1));
    expect(diff).toBe(1);
});

test('positive - should neglect time of day', () => {
    const diff = getDaysDiff(+new Date(2000, 0, 2), +new Date(2000, 0, 1, 0, 0, 1));
    expect(diff).toBe(1);
});

test('negative', () => {
    const diff = getDaysDiff(+new Date(2000, 0, 1), +new Date(2000, 0, 2));
    expect(diff).toBe(-1);
});

test('negative - should neglect time of day', () => {
    const diff = getDaysDiff(+new Date(2000, 0, 1, 12, 0, 0, 1), +new Date(2000, 0, 2));
    expect(diff).toBe(-1);
});
